## redhat-cluster 3.0.2

=== contrib/Makefile ===
include ../make/defines.mk
include $(OBJDIR)/make/passthrough.mk

ifdef contrib_code
SUBDIRS=libaislock
endif
