=== fence/agents/apc_snmp/Makefile ===
TARGET= fence_apc_snmp

include ../../../make/defines.mk
include $(OBJDIR)/make/fencebuild.mk
