=== fence/agents/ilo_mp/Makefile ===
include ../../../make/defines.mk

TARGET= fence_ilo_mp

include $(OBJDIR)/make/fencebuild.mk
