=== fence/agents/apc/Makefile ===
include ../../../make/defines.mk

TARGET= fence_apc

MAKEMAN = 1

include $(OBJDIR)/make/fencebuild.mk
