=== fence/agents/cisco_mds/Makefile ===
include ../../../make/defines.mk

TARGET= fence_cisco_mds

MAKEMAN = 1

include $(OBJDIR)/make/fencebuild.mk
