=== fence/agents/drac5/Makefile ===
include ../../../make/defines.mk

TARGET= fence_drac5

MAKEMAN = 1

include $(OBJDIR)/make/fencebuild.mk
