=== fence/agents/ilo/Makefile ===
include ../../../make/defines.mk

TARGET= fence_ilo

MAKEMAN = 1

include $(OBJDIR)/make/fencebuild.mk
