=== fence/agents/ilo_mp/Makefile ===
--- 
+++ 
@@ -2,4 +2,6 @@
 
 TARGET= fence_ilo_mp
 
+MAKEMAN = 1
+
 include $(OBJDIR)/make/fencebuild.mk
