=== fence/agents/wti/Makefile ===
include ../../../make/defines.mk

TARGET= fence_wti

MAKEMAN = 1

include $(OBJDIR)/make/fencebuild.mk
