=== cman/Makefile ===
include ../make/defines.mk
include $(OBJDIR)/make/passthrough.mk

SUBDIRS=lib cman_tool daemon qdisk notifyd init.d man scripts
