=== fence/Makefile ===
include ../make/defines.mk
include $(OBJDIR)/make/passthrough.mk

SUBDIRS=libfence libfenced fenced fence_node fence_tool man
