=== group/Makefile ===
include ../make/defines.mk
include $(OBJDIR)/make/passthrough.mk

SUBDIRS = lib dlm_controld tool daemon man
