=== cman/man/Makefile ===
MANTARGET= \
	cman.5 \
	qdisk.5 \
	cman_tool.8 \
	qdiskd.8 \
	mkqdisk.8 \
	cmannotifyd.8 \
	cman_notify.8 \
	checkquorum.8

include ../../make/defines.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

all:

clean:
