=== cman/scripts/Makefile ===
SHAREDIRTEX=checkquorum

include ../../make/defines.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

all:

clean: generalclean
