=== dlm/man/Makefile ===
MANTARGET= \
	dlm_cleanup.3 \
	dlm_close_lockspace.3 \
	dlm_create_lockspace.3 \
	dlm_dispatch.3 \
	dlm_get_fd.3 \
	dlm_lock.3 \
	dlm_lock_wait.3 \
	dlm_ls_lock.3 \
	dlm_ls_lockx.3 \
	dlm_ls_lock_wait.3 \
	dlm_ls_pthread_init.3 \
	dlm_ls_unlock.3 \
	dlm_ls_unlock_wait.3 \
	dlm_new_lockspace.3 \
	dlm_open_lockspace.3 \
	dlm_pthread_init.3 \
	dlm_release_lockspace.3 \
	dlm_unlock.3 \
	dlm_unlock_wait.3 \
	libdlm.3 \
	dlm_tool.8

include ../../make/defines.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

all:

clean:
