## redhat-cluster 3.1.8

=== debian/changelog ===
redhat-cluster (3.1.8-1.2) unstable; urgency=medium

  [ gregor herrmann ]
  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    make debian/libccs-perl.install executable and use $Config{vendorarch} to
    get dynamic path
    (Closes: #752811)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Aug 2014 12:34:59 +0000

redhat-cluster (3.1.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop clvm Depends for redhat-cluster-suite binary package.
    Cluster (clvm) support was dropped in lvm2 source package by removing
    the clvm binary package. Drop the Depends also in redhat-cluster-suite.
    (Closes: #697870)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 10 Jan 2013 21:40:28 +0100

redhat-cluster (3.1.8-1) unstable; urgency=low

  [ Andres Rodriguez ]
  * New upstream release
  * Apply all the changes from Ubuntu.
  * Bump Standards Version.
  * debian/source/format: 3.0 (quilt).
  * Switch to dh 7.
    - debian/control: Bump debhelper build-dep.
    - debian/rules: Switch.

  [ Martin Loschwitz ]
  * Thanks a lot to Andres Rodrigues for all the great work he did on this!
  * Removed debian/control.modules.in and debian/upgrade.txt due to 
    being unnecessary now or hopelessly outdated
  * Add myself to Uploaders: in debian/control
  * Switch to dh 9.
 -- Martin Loschwitz <madkiss@debian.org>  Sun, 05 Aug 2012 08:13:00 +0000

redhat-cluster (3.0.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Brazilian Portuguese (Flamarion Jorge).  Closes: #650048
    - Dutch; (Jeroen Schot).  Closes: #657007
    - Polish (Michał Kułach).  Closes: #663689

 -- Christian Perrier <bubulle@debian.org>  Wed, 21 Mar 2012 07:55:19 +0100

redhat-cluster (3.0.12-3) unstable; urgency=low

  * Add missing build dependency: openais-dev. (Closes: #640346)
  * Added danish translation, thanks to Joe Dalton <joedalton2@yahoo.dk>.
    (Closes: #628209)
  * cman: depend on telnet | telnet-client to allow arbitrary telnet 
    incarnations. (Closes: #626155)
  * gfs2-tools: fix symlinks. (Closes: #625965)
  * cman: confict with fence-agents. (Closes: #639985)

 -- Frederik Schüler <fs@debian.org>  Wed, 16 Nov 2011 18:57:50 +0100

redhat-cluster (3.0.12-2) unstable; urgency=low

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Fri, 02 Jul 2010 10:59:21 +0200

redhat-cluster (3.0.12-1) experimental; urgency=low

  * [a45231b] New patch 0005-Remove-bashisms-from-resource-scripts.patch
    Remove bashisms from resource scripts (Closes: #581137)
  * [3df4d28] Imported Upstream version 3.0.12
  * [25ffc05] Install rgmanager manpage
  * [7e5f87f] Update jp translation (Closes: #582722) - thanks to Hideki
    Yamane

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Jun 2010 15:17:44 +0200

redhat-cluster (3.0.11-1) experimental; urgency=low

  * [9c55372] reformat ja.po
  * [ca106f6] Imported Upstream version 3.0.11
  * [03336a5] Grab libdlmcontrol.so.3.1
  * [c14c894] Enable pacemaker support - thanks a lot to Jörg Bachmann for
    testing
  * [287d065] New patch 0004-Depend-on-remote_fs.patch Depend on $remote_fs
  * [54bfc48] Bump (build-)dep on corosync.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 05 May 2010 18:00:47 +0200

redhat-cluster (3.0.9-2) experimental; urgency=low

  * Upload to unstbale
  * [fb1da7e] Unignore po files ignored by upstreams .gitignore file
  * [6845591] Add new vi translation (Closes: #576145) - thanks to Clytie
    Siddall
  * [aa6bf55] Add jp debconf translation (Closes: #554841) - thanks to Hideki
    Yamane 

 -- Guido Günther <agx@sigxcpu.org>  Sat, 01 May 2010 10:47:32 +0200

redhat-cluster (3.0.9-1) experimental; urgency=low

  * [7c1a75c] Imported Upstream version 3.0.7
  * [9381ece] Drop 0003-Do-nothing-if-cman_tool-isn-t-there.patch fixed
    upstream
  * [8ed7908] Bump (build-)dep on corosync
  * [5b162fa] Enable gfs since it defaults to off now upstream.
  * [1d4ad8f] Imported Upstream version 3.0.9
  * [09c214b] Version dependencies of meta package
  * [4352b38] Redo patches
  * [61487cc] New patch 0003-Don-t-rely-on-chkconfig-and-check-for-
    network-manage.patch Don't rely on chkconfig and check for network-
    manager

 -- Guido Günther <agx@sigxcpu.org>  Wed, 10 Mar 2010 22:29:05 +0100

redhat-cluster (3.0.6-5) unstable; urgency=low

  * [ebda28c] Don't ship drbd resource script (Closes: #566095)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 22 Jan 2010 20:45:52 +0100

redhat-cluster (3.0.6-4) unstable; urgency=low

  * [9725a65] Only install schema (Closes: #565382)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Jan 2010 16:39:40 +0100

redhat-cluster (3.0.6-3) unstable; urgency=low

  * Upload to unstable
  * [19bd29c] Depend on cman (Closes: #563787)
  * [2a019fa] Genereate proper depends for lcsos
  * [e276e1d] Add schema

 -- Guido Günther <agx@sigxcpu.org>  Mon, 11 Jan 2010 21:00:27 +0100

redhat-cluster (3.0.6-2) experimental; urgency=low

  * [e16890c] Update de.po (Closes: #562707) - thanks to Helge Kreutzmann
  * [e1b336d] Update pt debconf translation (Closes: #563015) - thanks to
    Américo Monteiro
  * [e01aa76] Update ru debconf translation (Closes: #563345) - thanks to Yuri
    Kozlov
  * [f959fd1] Update sv debconf translation (Closes: #562928) - thanks to
    Martin Bagge
  * [bbb4b4a] Run debconf-updatepo

 -- Guido Günther <agx@sigxcpu.org>  Sat, 02 Jan 2010 14:53:45 +0100

redhat-cluster (3.0.6-1) experimental; urgency=low

  * [b3b823a] Imported Upstream version 3.0.6
  * [3e69621] run debconf-updatepo during clean
  * [cb83708] build-depend on po-debconf
  * [b8b59d7] remove one more trailing whitespace
  * [ccd9a39] Depend on libxml2-utils for ccs_config_validate
  * [ff09490] redo patches
  * [08a23fa] Do nothing if cman_tool isn't there so we don't report an error
    if the package was removed but not purged.
  * [bbec984] Drop 0003-add-LD_LIBRARY_PATH-so-we-find-liblogthread.patch
    - applied upstream.

