=== debian/control ===
Source: redhat-cluster
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>,
 Guido Günther <agx@sigxcpu.org>, Martin Loschwitz <madkiss@debian.org> 
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=debian-ha/redhat-cluster.git;a=summary
Vcs-Git: git://git.debian.org/debian-ha/redhat-cluster.git
Build-Depends: debhelper (>= 9), libxml2-dev, libncurses5-dev,
 linux-libc-dev, libvirt-dev (>= 0.3.0), libnss3-dev, libnspr4-dev, bzip2, libslang2-dev, libldap2-dev, perl-modules,
 libcorosync-dev (>= 1.3.0),
 libopenais-dev (>= 1.1.4),
 openais-dev (>= 1.1.4),
 xsltproc,
 python-pexpect,
 po-debconf,
 libglib2.0-dev,
 libbz2-dev,
 libltdl7-dev,
 libdbus-1-dev

Package: redhat-cluster-suite
Architecture: all
Depends: ${misc:Depends}, cman (>= ${binary:Version}), rgmanager (>= ${binary:Version}),
 gfs2-utils (>= 3.1), fence-agents, resource-agents
Description: Red Hat cluster suite - metapackage
 RHCS is a cluster management infrastructure, for building
 high-availability multi-node clusters with service and IP failover on
 top of shared Fibre Channel/iSCSI storage devices.
 .
 The only scope for this package is to install the full Red Hat Cluster Suite
 in one operation. It is safe to remove it.

Package: cman
Architecture: any
Pre-Depends: debconf | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends}, corosync (>= 1.2.1),
 openais (>= 1.1.1), python, openipmi, sg3-utils, python-pexpect,
 libnet-snmp-perl, libnet-telnet-perl, snmp, telnet, openssh-client,
 python-openssl, libxml2-utils, xsltproc
Conflicts: libdlm-dev (<= 2.20090112-0ubuntu3)
Description: Red Hat cluster suite - cluster manager
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 CMAN is a symmetric general-purpose cluster manager. It provides a
 service manager that handles service groups, plus a connection
 manager that handles cluster membership management, messaging among
 the cluster nodes, event notification, quorum and state transitions.
 .
 This package contains only tools for controlling the cluster manager
 itself.

Package: liblogthread3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Red Hat cluster suite - cluster logging libraries
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 The logthread library provides a simple logging API designed for
 cluster applications.
 .
 This package contains the client libraries.

Package: liblogthread-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblogthread3 (= ${binary:Version})
Description: Red Hat cluster suite - cluster logging development files
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 The logthread library provides a simple logging API designed for
 cluster applications.
 .
 This package contains the files needed for developing applications.

Package: libccs3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Red Hat cluster suite - cluster configuration libraries
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 The ccs library provides a simplified XPath implementation to access
 CMAN/Corosync configuration data via the same API as the old and
 deprecated libccs provided by ccsd.
 .
 This package contains the client libraries.

Package: libccs-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libccs3 (= ${binary:Version})
Description: Red Hat cluster suite - cluster manager development files
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 The ccs library provides a simplified XPath implementation to access
 CMAN/Corosync configuration data via the same API as the old and
 deprecated libccs provided by ccsd.
 .
 It shouldn't be used for new development. Use libconfdb from
 corosync instead.

Package: libccs-perl
Section: perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Red Hat cluster suite - cluster configuration module
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 The ccs library provides a simplified XPath implementation to access
 CMAN/Corosync configuration data via the same API as the old and
 deprecated libccs provided by ccsd.
 .
 This module implements a Perl interface to the libccs library.
 It shouldn't be used for new development. Use libconfdb from
 corosync instead.

Package: libcman3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Red Hat cluster suite - cluster manager libraries
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 CMAN provides a general-purpose Corosync/OpenAIS-based cluster manager.
 .
 This package contains the client libraries.

Package: libcman-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcman3 (= ${binary:Version})
Description: Red Hat cluster suite - cluster manager development files
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 CMAN provides a general-purpose Corosync/OpenAIS-based cluster manager.
 .
 This package contains the files needed for developing applications.

Package: libdlm3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: udev (<< 0.136-1)
Description: Red Hat cluster suite - distributed lock manager library
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 DLM is a symmetric general-purpose distributed lock manager. It is
 used for example by GFS and the distributed volume manager.
 .
 This is the client library for applications using the lock manager.
 The lock manager itself is a kernel module.

Package: libdlm-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libdlm3 (= ${binary:Version})
Description: Red Hat cluster suite - distributed lock manager development files
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 DLM is a symmetric general-purpose distributed lock manager. It is
 used for example by GFS and the distributed volume manager.
 .
 This package contains the files needed for developing applications
 that use the lock manager.

Package: libdlmcontrol3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Red Hat cluster suite - distributed lock manager library
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 DLM is a symmetric general-purpose distributed lock manager. It is
 used for example by GFS and the distributed volume manager.
 .
 This is the client library for applications using the lock manager.
 The lock manager itself is a kernel module.

Package: libdlmcontrol-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libdlmcontrol3 (= ${binary:Version})
Description: Red Hat cluster suite - distributed lock manager development files
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 DLM is a symmetric general-purpose distributed lock manager. It is
 used for example by GFS and the distributed volume manager.
 .
 This package contains the files needed for developing applications
 that use the lock manager.

Package: libfence4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Red Hat cluster suite - fence client library
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 fenced is the daemon in charge of controlling cluster node fencing.
 .
 This is the client library for requesting node fencing.

Package: libfence-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libfence4 (= ${binary:Version})
Description: Red Hat cluster suite - fence server development files
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 fenced is the daemon in charge of controlling cluster node fencing.
 .
 This package contains the files needed for developing applications
 that need to request node fencing.

Package: rgmanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, cman (= ${binary:Version}),
 iproute, iputils-arping, iputils-ping, nfs-kernel-server, nfs-common,
 perl, gawk, net-tools
Conflicts: nfs-user-server
Description: Red Hat cluster suite - clustered resource group manager
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 Resource Group Manager provides high availability of critical server
 applications in the event of planned or unplanned system downtime.
