=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
https://fedorahosted.org/releases/c/l/cluster/cluster-([\d\.]*)\.tar\.gz
